VERSION 5.00
Object = "{5E9E78A0-531B-11CF-91F6-C2863C385E30}#1.0#0"; "msflxgrd.ocx"
Begin VB.Form frmDisplayDuplicates 
   Caption         =   "Duplicate Files Found"
   ClientHeight    =   6360
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   11070
   Icon            =   "frmDisplayDuplicates.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   6360
   ScaleWidth      =   11070
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdCancel 
      Caption         =   "&Cancel"
      Height          =   495
      Left            =   8880
      TabIndex        =   4
      Top             =   5760
      Width           =   1455
   End
   Begin VB.CommandButton cmdDeleteFiles 
      Caption         =   "&Delete Checked Files"
      Height          =   495
      Left            =   120
      TabIndex        =   3
      Top             =   5760
      Width           =   1455
   End
   Begin VB.PictureBox picChecked 
      Height          =   615
      Left            =   10320
      Picture         =   "frmDisplayDuplicates.frx":492A
      ScaleHeight     =   555
      ScaleWidth      =   75
      TabIndex        =   2
      Top             =   720
      Visible         =   0   'False
      Width           =   135
   End
   Begin VB.PictureBox picUnchecked 
      Height          =   375
      Left            =   10320
      Picture         =   "frmDisplayDuplicates.frx":4C6C
      ScaleHeight     =   315
      ScaleWidth      =   75
      TabIndex        =   1
      Top             =   0
      Visible         =   0   'False
      Width           =   135
   End
   Begin MSFlexGridLib.MSFlexGrid MSFlexGrid1 
      Height          =   5535
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   10215
      _ExtentX        =   18018
      _ExtentY        =   9763
      _Version        =   393216
      GridLines       =   2
      AllowUserResizing=   1
   End
End
Attribute VB_Name = "frmDisplayDuplicates"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private Sub cmdCancel_Click()
On Error GoTo ERROR_LABEL
'  Empty Grid Control
    Me.MSFlexGrid1.Clear
    Me.MSFlexGrid1.Rows = 0
    Unload Me
    GoTo PROCEDURE_EXIT
ERROR_LABEL:
  MsgBox "Error: " & Err.Number & ". " & Err.Description, , "frmDisplayDuplicates.cmdCancel_Click"
  Resume PROCEDURE_EXIT
PROCEDURE_EXIT:

End Sub

Private Sub cmdDeleteFiles_Click()
'
'   This Subroutine parses through the entire Grid Control (top to bottom) and looks for
'   a check in the 1st column.  If it finds one, it builds the filename from the
'   3rd and 4th columns and deletes that file accordingly.
'
Dim lngIndex As Long
Dim StrTempFilename As String
Dim fsoFileTemp As File
On Error GoTo ERROR_LABEL

With MSFlexGrid1
  .Col = 1
  For lngIndex = 1 To .Rows - 1
      On Error Resume Next
    .Row = lngIndex
    If .CellPicture = picChecked Then
      StrTempFilename = .TextMatrix(lngIndex, 4) & .TextMatrix(lngIndex, 3)
      Set fsoFileTemp = fso.GetFile(StrTempFilename)
      fsoFileTemp.Delete
      '  Error trapping for Debug mode only
      If Err.Number <> 0 Then
          Debug.Print Err.Number
      End If
      Set fsoFileTemp = Nothing
      On Error GoTo ERROR_LABEL
    End If
  Next
End With

MsgBox "Complete!", vbOKOnly, "File Deletion Successful"

Unload Me

GoTo PROCEDURE_EXIT
ERROR_LABEL:
  MsgBox "Error: " & Err.Number & ". " & Err.Description, , "frmDisplayDuplicates.cmdDeleteFiles_Click"
  Resume PROCEDURE_EXIT
PROCEDURE_EXIT:

End Sub


Private Sub Form_Resize()

On Error GoTo ERROR_LABEL
     Me.cmdDeleteFiles.Top = Me.Height - 1110
        '  resize grid within window
     Me.MSFlexGrid1.Left = 120
     Me.MSFlexGrid1.Top = 120
     Me.MSFlexGrid1.Height = Me.cmdDeleteFiles.Top - 225
     Me.MSFlexGrid1.Width = Me.Width - 360
        '  reposition (but not resize) command buttons
     Me.cmdDeleteFiles.Left = Me.MSFlexGrid1.Left
     Me.cmdCancel.Top = Me.cmdDeleteFiles.Top
     Me.cmdCancel.Left = (Me.MSFlexGrid1.Left + Me.MSFlexGrid1.Width) - Me.cmdCancel.Width
     
GoTo PROCEDURE_EXIT
ERROR_LABEL:
  MsgBox "Error: " & Err.Number & ". " & Err.Description, , "frmDisplayDuplicates_Resize"
  Resume PROCEDURE_EXIT
PROCEDURE_EXIT:

End Sub



Private Sub MSFlexGrid1_Click()
Dim oldx, oldy, cell2text As String, strTextCheck As String
On Error GoTo ERROR_LABEL
'  Toggles the value of the checkbox in column 1 (checked/unchecked)
With MSFlexGrid1
    oldx = .Col
    oldy = .Row
        If .Col = 1 Then
            If .CellPicture = picChecked Then
                Set .CellPicture = picUnchecked
            Else
                Set .CellPicture = picChecked
            End If
        End If
    .Col = oldx
    .Row = oldy
End With
GoTo PROCEDURE_EXIT
ERROR_LABEL:
  MsgBox "Error: " & Err.Number & ". " & Err.Description, , "frmDisplayDuplicates.MSFlexGrid1_Click"
  Resume PROCEDURE_EXIT
PROCEDURE_EXIT:

End Sub


