VERSION 5.00
Begin VB.Form frmExceptions 
   Caption         =   "Exclude These Files"
   ClientHeight    =   4515
   ClientLeft      =   45
   ClientTop       =   435
   ClientWidth     =   10095
   Icon            =   "frmExceptions.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   4515
   ScaleWidth      =   10095
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdApply 
      Caption         =   "&Apply"
      Height          =   375
      Left            =   8280
      TabIndex        =   6
      Top             =   4680
      Width           =   1695
   End
   Begin VB.CommandButton cmdCancel 
      Caption         =   "&Cancel"
      Height          =   375
      Left            =   120
      TabIndex        =   5
      Top             =   4680
      Width           =   1695
   End
   Begin VB.Frame Frame1 
      Caption         =   "Enter Exclusions"
      Height          =   4335
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   9855
      Begin VB.TextBox txtFilenames 
         Height          =   2895
         Left            =   6000
         MultiLine       =   -1  'True
         TabIndex        =   4
         Top             =   840
         Width           =   3495
      End
      Begin VB.TextBox txtExtensions 
         Height          =   2895
         Left            =   120
         MultiLine       =   -1  'True
         TabIndex        =   3
         Top             =   960
         Width           =   3495
      End
      Begin VB.Label lblFilename 
         Alignment       =   2  'Center
         Caption         =   "Filenames to Exclude"
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   13.5
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   375
         Left            =   5880
         TabIndex        =   2
         Top             =   240
         Width           =   3855
      End
      Begin VB.Label lblExtension 
         Alignment       =   2  'Center
         Caption         =   "File Extensions to Exclude"
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   13.5
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   375
         Left            =   120
         TabIndex        =   1
         Top             =   240
         Width           =   3495
      End
   End
End
Attribute VB_Name = "frmExceptions"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub cmdApply_Click()
    AddToExclusions txtExtensions.Text, txtFilenames.Text
    Unload Me
End Sub

Private Sub cmdCancel_Click()
    Unload Me
End Sub

Private Sub Form_Load()
    LoadExclusions
    Form_Resize
End Sub


Private Sub Form_Resize()
Dim intFormHeight As Integer
Dim intFormWidth As Integer
Dim boolTooSmall As Boolean
On Error GoTo ERROR_LABEL

'    Check to see if window has been re-sized to below minimum size to fit contents
boolTooSmall = False
intFormHeight = Me.Height - 480
intFormWidth = Me.Width - 120
If Me.Height < 4200 Then
   Me.Height = 4200
   boolTooSmall = True
End If
If Me.Width < 4200 Then
   Me.Width = 4200
   boolTooSmall = True
End If
'   If not TooSmall - Go ahead and resize everything and re-position buttons
  If (Not (boolTooSmall)) Then
    With cmdCancel
      .Left = 120
      .Height = 360
      .Top = intFormHeight - 120 - .Height
      .Width = 1680
    End With
    With cmdApply
      .Left = intFormWidth - 120 - .Width
      .Height = 360
      .Top = cmdCancel.Top
      .Width = 1680
    End With
    With Frame1
      .Top = 120
      .Left = 120
      .Width = intFormWidth - 240
      .Height = intFormHeight - 720
    End With
    With lblExtension
      .Top = Frame1.Top + 120
      .Left = Frame1.Left
      .Width = Int(Frame1.Width / 2) - 480
      .Height = 360
    End With
    With txtExtensions
      .Top = lblExtension.Top + lblExtension.Height + 120
      .Left = Frame1.Left
      .Width = Int(Frame1.Width / 2) - 480
      .Height = (cmdCancel.Top - 360) - .Top
    End With
    With lblFilename
      .Top = Frame1.Top + 120
'      .Left = Frame1.Left
      .Left = Frame1.Width - 120 - .Width
      .Width = Int(Frame1.Width / 2) - 480
      .Height = 360
    End With
    With txtFilenames
      .Top = lblExtension.Top + lblExtension.Height + 120
      .Left = Frame1.Width - 120 - .Width
      .Width = Int(Frame1.Width / 2) - 480
      .Height = (cmdCancel.Top - 360) - .Top
    End With
  End If
GoTo PROCEDURE_EXIT
ERROR_LABEL:
  MsgBox "Error: " & Err.Number & ". " & Err.Description, , "frmExceptions_Resize"
  Resume PROCEDURE_EXIT
PROCEDURE_EXIT:
End Sub
